# Visualization
TKService
Aspect

# Aspect_PixMap Class Reference

This class allows the definition of a pixmap(bitmap)
.

`#include <Aspect_PixMap.hxx>`

Inheritance diagram for Aspect_PixMap:

[legend]

## Public Member Functions

virtual Standard_EXPORT void | Destroy ()=0
| Destroy the pixmap .
virtual Standard_EXPORT Standard_Boolean | Dump (const Standard_CString aFilename, const Standard_Real aGammaValue=1.0) const =0
| Creates the image file <afilename> from this pixmap with an optional gamma correction value according to the graphic system and returns TRUE if the dump occurs normaly. Warning: only XWD, GIF, BMP formats are supported according to the file extension .
virtual Standard_EXPORT Aspect_Handle | PixmapID () const =0
| Returns the ID of the just created pixmap .
Standard_EXPORT void | Size (Standard_Integer &aWidth, Standard_Integer &anHeight) const
| Returns the allocated pixmap's size in PIXEL .
Standard_EXPORT Standard_Integer | Depth () const
| Returns the allocated pixmap's depth (planes number) .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | Aspect_PixMap (const Standard_Integer aWidth, const Standard_Integer anHeight, const Standard_Integer aDepth)
| Initializes the datas of a pixmap with a pixel size <aWidth,<anheight> and depth. .

## Protected Attributes

Standard_Integer | myWidth
Standard_Integer | myHeight
Standard_Integer | myDepth

## Constructor & Destructor Documentation

Standard_EXPORT Aspect_PixMap::Aspect_PixMap | ( | const Standard_Integer | aWidth,
|  | const Standard_Integer | anHeight,
|  | const Standard_Integer | aDepth
| ) | `[protected]`

## Member Function Documentation

Standard_EXPORT Standard_Integer Aspect_PixMap::Depth | ( |  | ) | const

virtual Standard_EXPORT void Aspect_PixMap::Destroy | ( |  | ) | `[pure virtual]`

| Implemented in WNT_PixMap, and Xw_PixMap.

virtual Standard_EXPORT Standard_Boolean Aspect_PixMap::Dump | ( | const Standard_CString | aFilename,
|  | const Standard_Real | aGammaValue = `1.0`
| ) | const`[pure virtual]`

| Implemented in WNT_PixMap, and Xw_PixMap.

Standard_EXPORT const Aspect_PixMap::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in WNT_PixMap, and Xw_PixMap.

virtual Standard_EXPORT Aspect_Handle Aspect_PixMap::PixmapID | ( |  | ) | const`[pure virtual]`

| Implemented in WNT_PixMap, and Xw_PixMap.

Standard_EXPORT void Aspect_PixMap::Size | ( | Standard_Integer & | aWidth,
|  | Standard_Integer & | anHeight
| ) | const

## Field Documentation

Standard_Integer Aspect_PixMap::myDepth `[protected]`

Standard_Integer Aspect_PixMap::myHeight `[protected]`

Standard_Integer Aspect_PixMap::myWidth `[protected]`

The documentation for this class was generated from the following file:

- Aspect_PixMap.hxx